## imcode.server
Class SystemData

    java.lang.Object
      imcode.server.SystemData

All Implemented Interfaces:
  java.io.Serializable

    public class SystemData

extends java.lang.Object
implements java.io.Serializable

Storage-container for systemdata

See Also:
  Serialized Form

Constructor Summary
`SystemData()`

Method Summary
`java.lang.String` `getServerMaster()` Get the servermaster
`java.lang.String` `getServerMasterAddress()` Get the servermaster's address
`int` `getStartDocument()` Get the startdocument
`java.lang.String` `getSystemMessage()` Get the systemmessage
`java.lang.String` `getWebMaster()` Get the webmaster
`java.lang.String` `getWebMasterAddress()` Get the webmaster's address
`void` `setServerMaster(java.lang.String serverMaster)`
`void` `setServerMasterAddress(java.lang.String serverMasterAddress)` Get the servermaster's address
`void` `setStartDocument(int startDocument)`
`void` `setSystemMessage(java.lang.String systemMessage)` Get the systemmessage
`void` `setWebMaster(java.lang.String webMaster)` Get the webmaster
`void` `setWebMasterAddress(java.lang.String webMasterAddress)` Get the webmaster's address

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemData

    public SystemData()

Method Detail

### getStartDocument

    public int getStartDocument()

  Get the startdocument

### getServerMaster

    public java.lang.String getServerMaster()

  Get the servermaster

### getServerMasterAddress

    public java.lang.String getServerMasterAddress()

  Get the servermaster's address

### getWebMaster

    public java.lang.String getWebMaster()

  Get the webmaster

### getWebMasterAddress

    public java.lang.String getWebMasterAddress()

  Get the webmaster's address

### getSystemMessage

    public java.lang.String getSystemMessage()

  Get the systemmessage

### setStartDocument

    public void setStartDocument(int startDocument)

### setServerMaster

    public void setServerMaster(java.lang.String serverMaster)

### setServerMasterAddress

    public void setServerMasterAddress(java.lang.String serverMasterAddress)

  Get the servermaster's address

### setWebMaster

    public void setWebMaster(java.lang.String webMaster)

  Get the webmaster

### setWebMasterAddress

    public void setWebMasterAddress(java.lang.String webMasterAddress)

  Get the webmaster's address

### setSystemMessage

    public void setSystemMessage(java.lang.String systemMessage)

  Get the systemmessage